// Handle a simple data file containing name/score entries.  Use a
// Statistic to calculate stats on the column
//
// Example scores.dat file:
// 
// Adama    18.0
// Baltar   18.0
// Thrace   16.0
// Tye      10.0
// Rosslyn  15.0

import java.io.*;
import java.util.Scanner;
public class SimpleStats{

  public static void main(String args[])
    throws Exception 
  {
    String fname = "scores.dat";
    Scanner in = new Scanner(new File(fname));

    Statistic stat = new Total();
    // Statistic stat = new Mean();
    // Statistic stat = new Max();
    // Statistic stat = new AggregateStat(new Statistic[]{new Mean(), new Max(), new Total()});
    // Read until end of file
    while(in.hasNext()){
      String s = in.next();
      double d = in.nextDouble();
      stat.update(s,d);
    }
    in.close();
    System.out.printf("%s\n",stat.toString());
  }
}
