// In-class code developed to read a simple scores file and print out
// mean and max

import java.io.*;
import java.util.Scanner;
public class SimpleScores1{
  
  public static void main(String args[]) throws Exception{
    
    
    // setup variables
    double newFloat;
    String newName;
    
    // open file
    Scanner file = new Scanner(new File("scores.dat"));
    
    
    double sum = 0.0;
    double max = 0.0;
    int numScores = 0;
    String maxName = "";
    while(file.hasNext()){
      numScores++;
      String name = file.next();
      double num = file.nextDouble();
      sum+=num;
      if(num > max){
        max = num;
        maxName = name;
      }
    }
    
    // read until end
    
    
    while(file.hasNextLine()){
      numScores++;
      file.nextLine();
    }
    file.close();
    
    double scores[] = new double[numScores];
    String names[] = new String[numScores];
    file = new Scanner(new File("scores.dat"));
    
    for(int i=0; i<numScores; i++){
      names[i] = file.next();
      scores[i] = file.nextDouble();   
    }
    
    double sum = 0.0;
    double max = scores[0]; 
    String maxName = names[0];
    for(int i=0; i<numScores; i++){
      // update mean
      sum += scores[i];
      
      // update max   
      if(max < scores[i]){
        max = scores[i];
        maxName = names[i];
      }
    }
    double mean = sum / numScores;
    
    // print mean/max
    System.out.printf("Mean: %.2f Max: %.2f by %s\n",
                      mean, max, maxName);
    }
}
