// Comprises a collection of several statistics that are all updated
// on calls to update
public class AggregateStat extends Statistic {
  private Statistic stats[];
  public AggregateStat(Statistic s[]){
    this.stats = s;
  }

  public void update(String s, double d){
    for(int i=0; i<stats.length; i++){
      stats[i].update(s,d);
    }
  }
  public double value() { 
    throw new RuntimeException("Unsupported operation");
  }

  public String toString(){
    String s = "";
    for(int i=0; i<stats.length; i++){
      s += stats[i].toString() + " ";
    }
    return s;
  }
}
