// Handle a simple data file containing name/score entries.  Manually
// establishes variables to compute only the mean and max of the data
//
// Example scores.dat file:
// 
// Adama    18.0
// Baltar   18.0
// Thrace   16.0
// Tye      10.0
// Rosslyn  15.0

import java.io.*;
import java.util.Scanner;
public class SimpleScores{

  public static void main(String args[])
    throws Exception 
  {
    double sum = 0.0;
    int count = 0;
    double max = -1.0;
    String maxName = "";

    String fname = "scores.dat";
    Scanner in = new Scanner(new File(fname));

    while(in.hasNext()){
      String s = in.next();
      double d = in.nextDouble();
      count++;
      sum += d;
      if(max < d){
        max = d;
        maxName = s;
      }
    }
    in.close();
    double mean = sum / ((double) count);
    System.out.printf("Mean: %.2f  ",mean);
    System.out.printf("Max: %.2f by %s",max,maxName);
    System.out.println();
  }
}
