// Calculates a running mean of a series of numbers
public class Mean implements Statistic {
  private double sum;
  private int n;
  public Mean(){
    this.sum=0.0;
    this.n = 0;
  }
  public void update(String s, double d){
    // Ignore s
    this.sum += d;
    this.n++;
  }
  public double value(){
    double mean = this.sum / (double) this.n;
    return mean;
  }
  public String toString(){
    return
      String.format("mean score %5.2f", this.value());
  }
}
